# Sharding Passwords to Share before Death

<!--
- ожалошћена Породица
- family in mourning
-->

> Death approaches

# Software Problems Require Software Solutions

- `ssss` will shard anything up to 1024 bits.
- `encfs` or similar required for a folder.

```bash
fortune | ssss-split -t 3 -n 5 > shards.txt
head -n 3 shards.txt | ssss-combine -t 3
```

# Interface

- Electron?
- 3 actions:
    * 'How many people do you trust?'
    * 'How much do you trust them?'
    * *Lock* / *Unlock* icon

# Requirements

- `<25MiB` for email
    * So no electron.

# The Social Sphere

- Suggested receivers
- Email templates may help?

# The Antisocial Sphere

- Flesh protocols are tricky.

![family](slides/death_shards/family.jpg)

# Email Templates

## Be casual!

> Hi Alice,
> 
> Can you take this to my funeral, but not now - just put it somewhere.
> It's just for this thing, anyway...
> K thx bye!
> xx bob

# Email Templates

## Be Formal

> Dearest Bob,
> 
> Please find contained herein, one of my 'Death Shards'.  It is of utmost importance that you maintain the consistency and secrecy of this file.  This shard of death shall - within the fullness of time - alleviate the potential necessity of interacting with every part - financial, social, and unwholesome - which I have, heretofore, interacted with, insofar as the [now] modern electronic landscape has been concerned.
> 
> Yours, ...for now.
> Alice.

# Notes

## Other Methods

Is this all wrong?
Perhaps it should be a standard function within 1pass.

## MFA is a Nightmare

- The project should probably include a request for a phone password.
- Will this update?
- Nudes?
